Summary: Audio File Peak Limiter
Name: sound-gambit
Version: 0.6
Release: 2%{?dist}
License: GPLv3+
URL: https://github.com/x42/sound-gambit
Source0: https://github.com/x42/sound-gambit/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: 0002-Fix-new-delete-mismatch.patch
BuildRequires: gcc-c++ make
BuildRequires: pkgconfig(sndfile)

%description
The queen's limiter: sacrifice dynamic-range for increased volume.

sound-gambit is a look-ahead digital peak limiter operating on audio files, and
intended for, but not limited to, the final step of mastering. It support both
digital-peak and true-peak threshold constraints.

%prep

%setup -q
head -16 sound-gambit.cc > LICENSE
%patch0 -p1

%build
%{__make} CXXFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%install

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 sound-gambit %{buildroot}%{_bindir}/
install -m0644 sound-gambit.1 %{buildroot}%{_mandir}/man1

%files
%license LICENSE
%doc README*
%{_bindir}/sound-gambit
%{_mandir}/man1/sound-gambit.1*

%changelog
* Wed Jan 04 2023 Oden Eriksson <oe@nux.se> - 0.6-2
- P0: Fix-new-delete-mismatch

* Sat Dec 25 2021 Oden Eriksson <oe@nux.se> - 0.6-1
- initial RPM package
